| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
uiODApplService Class Reference
uiODMain

uiApplService for OD More...

`#include <uiodapplmgraux.h>`

Inheritance diagram for uiODApplService:
[legend]

## Public Member Functions
| uiODApplService (uiParent *, uiODApplMgr &)
| ~uiODApplService ()
Public Member Functions inherited from uiApplService
| uiApplService (uiParent *, uiApplMgr &, const char *nm=nullptr)
| The name is the application name.
| ~uiApplService ()
virtual bool | eventOccurred (const uiApplPartServer *, int evid)
| The evid will be specific for each partserver.
virtual void * | getObject (const uiApplPartServer *, int)
| The actual type is a protocol with the partserver.
virtual uiParent * | parent () const
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Protected Attributes inherited from uiApplService
uiApplMgr & | applman_
uiParent * | par_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

uiApplService for OD

<>

## Constructor & Destructor Documentation

## ◆ uiODApplService()

uiODApplService::uiODApplService | ( | uiParent * | ,
|  | uiODApplMgr & | )

## ◆ ~uiODApplService()

uiODApplService::~uiODApplService | ( |  | ) |

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025